# Step by Step deployment guide

- [ ] Edit CHANGELOG.md and add a new section for the upcoming release
- [ ] Commit to master to make sure that the master branch is clean and all commits are pushed to origin
- [ ] `git checkout stable`
- [ ] `git merge --no-ff master`
- [ ] (Optional) You can now deploy stable to dspace-dev (`./release.sh $VERSION_NUMBER-RC-$RCNUMBER`)
- [ ] Make sure that the stable branch is clean and all commits are pushed to origin
- [ ] `git checkout production`
- [ ] `git checkout -b $VERSION_NUMBER $HASHID`
      The $HASHID being the commit were the last merge from stable happened (before clarindev2clarin.sh changes were committed)
- [ ] `git merge --no-ff stable`
- [ ] resolve conflicts (though there shouldn't be any) and commit
- [ ] Change the version number and the registry branch of the images in all deployment yaml files
- [ ] Run the clarindev2clarin.sh script
- [ ] `git commit -a `
- [ ] `git checkout production`
- [ ] `git merge $VERSION_NUMBER`
- [ ] resolve conflicts and commit
- [ ] `git tag -a $VERSION_NUMBER -s (-u $GPG_ID_HASH)` defaults to your default GPG key
- [ ] `git branch -d $VERSION_NUMBER`
- [ ] `git push --all`
- [ ] `git push --tags`
- [ ] `cd dockerfiles`
- [ ] `./release.sh $VERSION_NUMBER production`
- [ ] `cd ../kubernetes`
- [ ] `./stop_kube.sh`
- [ ] `./start_kube.sh`
- [ ] `git checkout master`
